org.apache.hc.client5.http.validator

## Class ETag

- java.lang.Object
- - org.apache.hc.client5.http.validator.ETag

    @Contract(threading=IMMUTABLE)
    public final class ETag
    extends Object

Represents ETag value.

Since:
  5.4

### Constructor Summary

Constructors
Constructor and Description
`ETag(String value)`
`ETag(String value, ValidatorType type)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`void` `format(org.apache.hc.core5.util.CharArrayBuffer buf)`
`static ETag` `get(org.apache.hc.core5.http.MessageHeaders message)`
`ValidatorType` `getType()`
`String` `getValue()`
`int` `hashCode()`
`static ETag` `parse(org.apache.hc.core5.http.Header h)`
`static ETag` `parse(String s)`
`static boolean` `strongCompare(ETag t1, ETag t2)`
`String` `toString()`
`static boolean` `weakCompare(ETag t1, ETag t2)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ETag

    public ETag(String value,
                ValidatorType type)

#### ETag

    public ETag(String value)

### Method Detail

#### getType

    public ValidatorType getType()

#### getValue

    public String getValue()

#### strongCompare

    public static boolean strongCompare(ETag t1,
                                        ETag t2)

#### weakCompare

    public static boolean weakCompare(ETag t1,
                                      ETag t2)

#### parse

    public static ETag parse(String s)

#### parse

    public static ETag parse(org.apache.hc.core5.http.Header h)

#### get

    public static ETag get(org.apache.hc.core5.http.MessageHeaders message)

#### format

    @Internal
    public void format(org.apache.hc.core5.util.CharArrayBuffer buf)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`